/*
 * About.java
 *
 * Created on 26 de Maio de 2007, 14:57
 */

package org.sergiolopes.littleweather;

import edu.stanford.ejalbert.BrowserLauncher;
import edu.stanford.ejalbert.exception.BrowserLaunchingInitializingException;
import edu.stanford.ejalbert.exception.UnsupportedOperatingSystemException;
import java.awt.Dimension;

/**
 * @author  Knitter
 */
public class About extends javax.swing.JDialog {
    
    /** Creates new form About
     * 
     * @param parent This dialog's owner.
     * @param modal If true, modal will set this dialog to modal.
     */
    public About(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
        center();
    }
    
    /** Sets the dialog position to be the center of it's owner.
     */
    private void center() {
        Dimension ownerSize = getOwner().getSize();
        Dimension mySize = getSize();
        
        if (mySize.height > ownerSize.height) {
            mySize.height = ownerSize.height;
        }
        if (mySize.width > ownerSize.width) {
            mySize.width = ownerSize.width;
        }
        setLocation((((ownerSize.width / 2) + getOwner().getX()) - (mySize.width) / 2),
                (((ownerSize.height / 2) + getOwner().getY()) - (mySize.height) / 2));
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {

        jpMain = new javax.swing.JPanel();
        lblLogo = new javax.swing.JLabel();
        lblAboutText = new javax.swing.JLabel();
        lblTitle = new javax.swing.JLabel();
        lblCopyright = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);

        jpMain.setBackground(new java.awt.Color(255, 255, 255));

        lblLogo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/org/sergiolopes/littleweather/resources/olho.png"))); // NOI18N

        java.util.ResourceBundle bundle = java.util.ResourceBundle.getBundle("org/sergiolopes/littleweather/resources/language"); // NOI18N
        lblAboutText.setText(bundle.getString("ABOUT_DIALOG_ABOUT_TEXT")); // NOI18N

        lblTitle.setFont(new java.awt.Font("Tahoma", 1, 24));
        lblTitle.setForeground(new java.awt.Color(153, 0, 0));
        lblTitle.setText("WebMeteo");

        lblCopyright.setText("<html>copyright 2007  S&eacute;rgio Lopes. www.sergio-lopes.org</html>"); // NOI18N
        lblCopyright.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                lblCopyrightMouseClicked(evt);
            }
        });

        javax.swing.GroupLayout jpMainLayout = new javax.swing.GroupLayout(jpMain);
        jpMain.setLayout(jpMainLayout);
        jpMainLayout.setHorizontalGroup(
            jpMainLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jpMainLayout.createSequentialGroup()
                .addComponent(lblLogo)
                .addGap(18, 18, 18)
                .addComponent(lblTitle, javax.swing.GroupLayout.PREFERRED_SIZE, 156, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addGroup(jpMainLayout.createSequentialGroup()
                .addGap(10, 10, 10)
                .addComponent(lblAboutText, javax.swing.GroupLayout.DEFAULT_SIZE, 305, Short.MAX_VALUE)
                .addContainerGap())
            .addGroup(jpMainLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(lblCopyright, javax.swing.GroupLayout.DEFAULT_SIZE, 305, Short.MAX_VALUE)
                .addContainerGap())
        );
        jpMainLayout.setVerticalGroup(
            jpMainLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jpMainLayout.createSequentialGroup()
                .addGroup(jpMainLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(lblLogo)
                    .addGroup(jpMainLayout.createSequentialGroup()
                        .addGap(33, 33, 33)
                        .addComponent(lblTitle, javax.swing.GroupLayout.PREFERRED_SIZE, 54, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(lblAboutText)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(lblCopyright)
                .addContainerGap(39, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jpMain, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jpMain, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    
    /** When the copyright text is clicked the user's default browser is opened
     * in the www.sergio-lopes.org address.
     */
private void lblCopyrightMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lblCopyrightMouseClicked
    new Thread(new Runnable(){
        public void run() {
            try {
                BrowserLauncher l = new BrowserLauncher();
                l.openURLinBrowser("http://www.sergio-lopes.org");
            } catch (BrowserLaunchingInitializingException ex) {
                ex.printStackTrace();
            } catch (UnsupportedOperatingSystemException ex) {
                ex.printStackTrace();
            }
        }
    }).start();
}//GEN-LAST:event_lblCopyrightMouseClicked

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel jpMain;
    private javax.swing.JLabel lblAboutText;
    private javax.swing.JLabel lblCopyright;
    private javax.swing.JLabel lblLogo;
    private javax.swing.JLabel lblTitle;
    // End of variables declaration//GEN-END:variables
    
}
